Bug 209018 - LifecycleManager API does not provide a way to exit the IDE with a custom status
LifecycleManager API does not provide a way to exit the IDE with a custom status
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Module System
7.2
PC Linux
: P2 (vote)
: 7.2
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 20:47 UTC by sserban
Modified: 2012-03-08 11:05 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch mostly written by Stefan (7.41 KB, patch)
2012-03-01 09:46 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sserban 2012-02-29 20:47:54 UTC
The NbLifecycleManager class should provide an API to allow clients to exit the IDE with a custom exit code.
Comment 1 sserban 2012-02-29 20:59:54 UTC
The base LifecycleManager should be updated to include the new API as well.
Comment 2 Jaroslav Tulach 2012-03-01 09:46:15 UTC
Created attachment 116228 [details]
Patch mostly written by Stefan
Comment 3 Jesse Glick 2012-03-01 19:05:50 UTC
[JG01] Default impl (ignoring status code) should be documented.
Comment 4 Jaroslav Tulach 2012-03-05 07:40:57 UTC
Will document and integrate tomorrow.
Comment 5 Jaroslav Tulach 2012-03-07 17:53:05 UTC
http://hg.netbeans.org/core-main/rev/d036ea7dc530
Comment 6 Quality Engineering 2012-03-08 11:05:05 UTC
Integrated into 'main-golden', will be available in build *201203080400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d036ea7dc530
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #209018: Introducing LifecycleManager.exit(status)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo